Debian Patches

Status for libp11/0.4.12-2

Patch Description Author Forwarded Bugs Origin Last update
fix-upstream-soname-madness.patch set the correct upstream soname for openssl3 Upstream has some overly-clever code in configure.ac to vary the soname
based on which version of openssl it's linking against. However, this
openssl detection fails for openssl 3.x x > 0, which we now have in
unstable, causing a misbuild with the wrong soname in the package.
Just hard-code the soversion 3, which is better than the existing behavior!

===================================================================
Steve Langasek <steve.langasek@canonical.com> no 2024-02-25

All known versions for source package 'libp11'

Links